VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Begin VB.Form Form1 
   Caption         =   "6517A and Resistance Measurement"
   ClientHeight    =   4680
   ClientLeft      =   3900
   ClientTop       =   3450
   ClientWidth     =   8100
   LinkTopic       =   "Form1"
   ScaleHeight     =   4680
   ScaleWidth      =   8100
   Begin MSCommLib.MSComm MSComm1 
      Left            =   120
      Top             =   3960
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DTREnable       =   -1  'True
      Handshaking     =   1
      InputLen        =   1024
      OutBufferSize   =   1024
   End
   Begin VB.TextBox Text1 
      Alignment       =   2  'Center
      Height          =   375
      Left            =   2670
      MultiLine       =   -1  'True
      TabIndex        =   2
      Text            =   "Ohms_Reading.frx":0000
      Top             =   3720
      Width           =   2535
   End
   Begin VB.CommandButton Command2 
      Caption         =   "EXIT"
      Height          =   855
      Left            =   4950
      TabIndex        =   1
      Top             =   2520
      Width           =   2055
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Read Resistance"
      Height          =   735
      Left            =   870
      TabIndex        =   0
      Top             =   2640
      Width           =   1935
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      BackColor       =   &H000000FF&
      Caption         =   "KEITHLEY"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   24
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FFFFFF&
      Height          =   495
      Left            =   2670
      TabIndex        =   4
      Top             =   120
      Width           =   2535
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Label1"
      Height          =   1335
      Left            =   690
      TabIndex        =   3
      Top             =   960
      Width           =   6495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'
'
' Michael Jethrow
' Keithley Instruments, Inc.
' 6 June 2003
' This program was written in Windows 2000 SP 2 with 933MHz P3.
' Because of processor speed 1 sec delays had to be implemented to prevent "Character
' lost" errors.
'
'

Private Sub Command1_Click()
    
    Dim strBuffer As String     ' Without specifying length, string will hold ~2 billion chars
    dwMilliseconds = 1000       ' wait one second
    
    MSComm1.PortOpen = True     ' Open RS-232 port for communications
    MSComm1.Output = "*RST" & vbLf  ' reset 6517A
    MSComm1.Output = ":SYST:REM" & vbLf ' puts 6517A in remote
Sleep dwMilliseconds            ' Call sleep routine
    MSComm1.Output = ":SYST:ZCH OFF" & vbLf ' turns Zero Check OFF
    MSComm1.Output = ":SENS:FUNC 'RES'" & vbLf  'selects the measurement function
Sleep dwMilliseconds            ' Call sleep routine
    MSComm1.Output = ":SENS:CURR:DC:RANG:AUTO ON" & vbLf    ' configures measurement range for current
    MSComm1.Output = ":SOUR:VOLT 10" & vbLf ' source 10 volts
Sleep dwMilliseconds            ' Call sleep routine
    MSComm1.Output = ":FORM:DATA ASC" & vbLf    ' format the data string as ASCII
    MSComm1.Output = ":FORM:ELEM READ,UNIT" & vbLf  ' display reading and unit
    MSComm1.Output = ":OUTP ON" & vbLf  ' turns V-Source ON
Sleep dwMilliseconds            ' Call sleep routine
    MSComm1.Output = ":READ?" & vbLf    ' reads neasure function
Sleep dwMilliseconds            ' Call sleep routine
    
    Do
        strBuffer = strBuffer & MSComm1.Input
    Loop Until Right$(strBuffer, 1) = vbLf    ' DMM output complete when a LF is received
    
    Text1.Text = strBuffer   ' Display strBuffer in DMM Output textbox
    
    strBuffer = ""      ' Set strBuffer to a NULL string
        
Sleep dwMilliseconds
    MSComm1.Output = ":OUTP OFF" & vbLf ' turns V-Source OFF
    MSComm1.Output = ":SYST:ZCH ON" & vbLf  ' turns Zero Check ON

    MSComm1.PortOpen = False    ' Close RS-232 port
        
End Sub

Private Sub Command2_Click()
    
    Unload Form1      ' Unload the Demo form

End Sub

Private Sub Form_Load()
    
    Label1.Caption = "* This program communicates with a 6517A via RS232 port." & vbCrLf _
    & "* COM1 and 6517A should be configured as follows:" & vbCrLf _
    & "      9600 BAUD, No parity, 8 bits,1 stop bit, Xon/Xoff ON." & vbCrLf _
    & "* Connect V-Source and INPUT to device under test (DUT)." & vbCrLf _
    & "* Press Read Resistance to source 10 volts and obtain resistance reading." & vbCrLf _
    & "* The reading from the Electrometer will be displayed in Electrometer Output textbox."

End Sub

Private Sub Form_Unload(Cancel As Integer)
    
    ' When the Demo form is unloaded, Reset the DMM, set it to LOCAL
    ' and then unload the Instruction form
    MSComm1.PortOpen = True
    MSComm1.Output = "*RST" & vbLf  ' reset 6517A
    MSComm1.Output = ":SYST:LOCAL" & vbLf   ' puts 6517A in local
    MSComm1.PortOpen = False

End Sub
